The moose likes Websphere and the fly likes JSF 2.0 and WS 7 issue - Unable to instantiate ExpressionFactory 'com.sun.el.ExpressionFactoryImpl' Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » Websphere
Bookmark "JSF 2.0 and WS 7 issue - Unable to instantiate ExpressionFactory Watch "JSF 2.0 and WS 7 issue - Unable to instantiate ExpressionFactory New topic
Author

JSF 2.0 and WS 7 issue - Unable to instantiate ExpressionFactory 'com.sun.el.ExpressionFactoryImpl'

umesh jadhav
Greenhorn

Joined: Aug 01, 2013
Posts: 3
Hi All,

I am getting an issue while working on JSF 2.0 deployed on WebSphere server 7.

I have tried so many option but I am not able to resolve below issue. Can you please help?

[1/08/13 21:02:11:406 IST] 0000000d config I Initializing Sun's JavaServer Faces implementation (1.2_07-b03-FCS) for context '/test'
[1/08/13 21:02:12:953 IST] 0000000d config E Unable to instantiate ExpressionFactory 'com.sun.el.ExpressionFactoryImpl'
[1/08/13 21:02:13:375 IST] 0000000d FfdcProvider I com.ibm.ws.ffdc.impl.FfdcProvider logIncident FFDC1003I: FFDC Incident emitted on C:\Program Files\IBM\SDP\runtimes\base_v7\profiles\was70profile1\logs\ffdc\server1_a2f0a2f_13.08.01_21.02.13.12532817.txt com.ibm.ws.webcontainer.webapp.WebApp.notifyServletContextCreated 1341
[1/08/13 21:02:13:390 IST] 0000000d webapp E com.ibm.ws.webcontainer.webapp.WebApp notifyServletContextCreated SRVE0283E: Exception caught while initializing context: {0}
com.sun.faces.config.ConfigurationException: Incorrect JSP version found, method com.sun.el.ExpressionFactoryImpl does not exist.
at com.sun.faces.config.ConfigureListener.registerELResolverAndListenerWithJsp(ConfigureListener.java:362)

I have added below jar in server classpath i.e at C:\Program Files\IBM\SDP\runtimes\base_v7\lib but issue is still there

1. el-api-2.2.jar
2. el-impl-2.2.jar
3. jsf-api-2.0.3-b03.jar or jsf-api-2.0.jar
4. jsf-impl-2.0.3-b03.jar or jsf-impl-2.0.jar
5. jsf-nls.jar

I have also tried to add jstl-impl-1.2.jar but same issue is occurring.

Another question come in my mind, we are using API of JSF 2.0 and server is printing Initializing Sun's JavaServer Faces implementation (1.2_07-b03-FCS).
Instead of 1.2 it should be 2.0 Is it correct?

I also read each and every artical on internet about this issue but still not able to fix this issue. Please help..
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 17168
    
  27

Welcome to the JavaRanch, Umesh!

That question is very WAS-specific so I'm going to move it to the WebSphere forum where hopefully someone can give you some help.


An IDE is no substitute for an Intelligent Developer.
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: JSF 2.0 and WS 7 issue - Unable to instantiate ExpressionFactory 'com.sun.el.ExpressionFactoryImpl'
 
It's not a secret anymore!